
/* 
 * Copyright (C) 2006  Anders Nilsson <anders.nilsson@cs.lth.se>
 *
 * This file is part of OntologyCompiler.
 */

import AST.Start;
import java.io.*;

public class GenOntology extends Parser {
	public static void main(String args[]) {
		Start ast = parse(args);

		String fileName = null;
		try {
			// Generate OWL ontology, possibly transformed from Owl
			// Full to OWL DL
			fileName = "ontology.owl";
			PrintStream pStream = new PrintStream(new File(fileName));
			ast.genOntology("",pStream);
		} catch (java.io.FileNotFoundException e) {
			System.out.println("Could not create file: "+fileName);
			e.printStackTrace();
		}
		

	}
}
